Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QFontManager Class Reference

The QFontManager class implements font management in Qt/Embedded. More...

`#include <qfontmanager_qws.h>`

List of all member functions.

## Public Members

- QFontManager ()
- ~QFontManager ()
- QDiskFont * get ( const QFontDef & f )

## Static Public Members

- void initialize ()
- void cleanup ()

## Detailed Description

The QFontManager class implements font management in Qt/Embedded.

There is one and only one QFontManager per Qt/Embedded application (qt_fontmanager is a global variable that points to it). It keeps a list of font factories, a cache of rendered fonts and a list of fonts available on disk. QFontManager is called when a new font needs to be rendered from a Freetype-compatible or BDF font on disk; this only happens if there isn't an appropriate QPF font already available.

See also Qt/Embedded.

## Member Function Documentation

### QFontManager::QFontManager ()

Creates a font manager. This method reads in the font definition file from $QTDIR/lib/fonts/fontdir (or /usr/local/qt-embedded/lib/fonts/fontdir if QTDIR isn't defined) and creates a list of QDiskFonts to hold the information in the file. It also constructs any defined font factories.

### QFontManager::~QFontManager ()

Destroys the QFontManager and sets qt_fontmanager to 0.

### void QFontManager::cleanup ()`[static]`

Destroys the font manager

### QDiskFont * QFontManager::get ( const QFontDef & f )

Returns the QDiskFont that best matches f, based on family, weight, italicity and font size.

### void QFontManager::initialize ()`[static]`

Creates a new QFontManager and points qt_fontmanager to it

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.